.animation {
  z-index: 999;
}
#link {
  color: #fff;
  display: block;
  font: 12px "Helvetica Neue", Helvetica, Arial, sans-serif;
  text-align: center;
  text-decoration: none;
}
#link:hover {
  color: #cccccc;
}

#link,
#link:hover {
  transition: color 0.5s ease-out;
}

body {
  background: #28288c;
}

@keyframes rotate-loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes loading-text-opacity {
  0%,
  20%,
  100% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}

.loading-container,
.loading {
  width: 100px;
  height: 100px;
  position: relative;
  border-radius: 100%;
}

.loading-container {
  margin: 40vh auto;
}

.loading {
  border: 2px solid transparent;
  border-color: transparent #ececec transparent #ececec;
  animation: rotate-loading 1.5s linear 0s infinite normal;
  transform-origin: 50% 50%;
}

.loading-container:hover .loading {
  border-color: transparent #ffffff transparent #ffffff;
}
.loading-container:hover .loading,
.loading-container .loading {
  transition: all 0.5s ease-in-out;
}

#loading-text {
  animation: loading-text-opacity 2s linear 0s infinite normal;
  color: #ffffff;
  font-family: "Noto Sans KR", sans-serif;
  white-space: nowrap;
  font-size: 10px;
  font-weight: bold;
  margin-top: 45px;
  opacity: 0;
  position: absolute;
  text-align: center;
  text-transform: uppercase;
  top: 0;
  width: 100px;
}
